cudaFuncAttributes
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.runtime
Class cudaFuncAttributes

    java.lang.Object
      jcuda.runtime.cudaFuncAttributes

    public class cudaFuncAttributes

extends java.lang.Object

CUDA function attributes.
Most comments are taken from the CUDA reference manual.

See Also:
  `JCuda.cudaFuncGetAttributes(cudaFuncAttributes, String)`

Field Summary
`long` | `constSizeBytes` Size of constant memory in bytes
`long` | `localSizeBytes` Size of local memory in bytes
`int` | `maxThreadsPerBlock` Maximum number of threads per block
`int` | `numRegs` Number of registers used
`int` | `ptxVersion` PTX virtual architecture version for which the function was compiled.
`long` | `sharedSizeBytes` Size of shared memory in bytes

Constructor Summary
`cudaFuncAttributes()` Creates new, uninitialized cudaFuncAttributes

Method Summary
`java.lang.String` | `toString()` Returns a String representation of this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sharedSizeBytes

    public long sharedSizeBytes

  Size of shared memory in bytes

### constSizeBytes

    public long constSizeBytes

  Size of constant memory in bytes

### localSizeBytes

    public long localSizeBytes

  Size of local memory in bytes

### maxThreadsPerBlock

    public int maxThreadsPerBlock

  Maximum number of threads per block

### numRegs

    public int numRegs

  Number of registers used

### ptxVersion

    public int ptxVersion

  PTX virtual architecture version for which the function was compiled. This value is the major PTX version * 10 + the minor PTX version, so a PTX version 1.3 function would return the value 13. For device emulation kernels, this is set to 9999.

Constructor Detail

### cudaFuncAttributes

    public cudaFuncAttributes()

  Creates new, uninitialized cudaFuncAttributes

Method Detail

### toString

    public java.lang.String toString()

  Returns a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD